<form [formGroup]="ballanceScoreCardServiceForm">
    <div nz-row [nzGutter]="[30, 10]">
        <div nz-col nzXs="12" nzLg="12">
            <mb-input-text formControlName="lvaValue" [mbShowFlexEnd]="false"
                [mbDisable]="(mode === 1 && ballanceScoreCardServiceForm.get('lvaValue').value) ? true : false"
                [mbType]="isSubmitted &&  ballanceScoreCardServiceForm.controls['lvaValue'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted &&  ballanceScoreCardServiceForm.controls['lvaValue'].errors !== null"
                [mbErrors]=" ballanceScoreCardServiceForm.controls['lvaValue'].errors" [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'Mã thẻ điểm bắt buộc nhập' },
                     { errorName: 'maxlength', errorDescription: 'Không được nhập quá 50 ký tự'},
                   ]" mbPlaceholderText="Nhập thông tin tại đây" (mbBlur)="removeSpace($event)"
                mbLabelText="Mã thẻ điểm <span class='label__required'>*</span>">
            </mb-input-text>
        </div>
        <div nz-col nzXs="12" nzLg="12">
            <mb-input-text formControlName="lvaMean" [mbShowFlexEnd]="false"
                [mbType]="isSubmitted &&  ballanceScoreCardServiceForm.controls['lvaMean'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted &&  ballanceScoreCardServiceForm.controls['lvaMean'].errors !== null"
                [mbErrors]=" ballanceScoreCardServiceForm.controls['lvaMean'].errors" [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'Tên thẻ điểm bắt buộc nhập' },
                   { errorName: 'maxlength', errorDescription: 'Không được nhập quá 200 ký tự'},
                 ]" mbPlaceholderText="Nhập thông tin tại đây" (mbBlur)="removeSpace($event)"
                mbLabelText="Tên thẻ điểm <span class='label__required'>*</span>">
            </mb-input-text>
        </div>
        <div nz-col nzXs="24" nzLg="12">
            <mb-input-text formControlName="description" [mbShowFlexEnd]="false"
                [mbType]="isSubmitted &&  ballanceScoreCardServiceForm.controls['description'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted &&  ballanceScoreCardServiceForm.controls['description'].errors !== null"
                [mbErrors]=" ballanceScoreCardServiceForm.controls['description'].errors" [mbErrorDefs]="[
                   { errorName: 'maxlength', errorDescription: 'Không được nhập quá 250 ký tự'},
                 ]" mbPlaceholderText="Nhập thông tin tại đây" (mbBlur)="removeSpace($event)"
                mbLabelText="Ghi chú">
            </mb-input-text>
        </div>
        <div nz-col nzXs="24" nzLg="12">
            <mb-select [mbDataSelects]="listStatus" mbKeyLabel="label" mbKeyValue="value" formControlName="flagStatus"
                [mbType]="isSubmitted && ballanceScoreCardServiceForm.controls['flagStatus'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && ballanceScoreCardServiceForm.controls['flagStatus'].errors !== null"
                [mbErrors]="ballanceScoreCardServiceForm.controls['flagStatus'].errors" [mbErrorDefs]="[
                    { errorName: 'required', errorDescription: 'Vui lòng chọn trạng thái'}]"
                mbLabelText="Trạng thái <span class='label__required'>*</span>"></mb-select>
        </div>
        <div nz-col nzXs="24" nzLg="12">
            <mb-input-text formControlName="displaySeq" [mbShowFlexEnd]="false"
                [mbType]="isSubmitted &&  ballanceScoreCardServiceForm.controls['displaySeq'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted &&  ballanceScoreCardServiceForm.controls['displaySeq'].errors !== null"
                [mbErrors]=" ballanceScoreCardServiceForm.controls['displaySeq'].errors" [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'Thứ tự ưu tiên bắt buộc nhập' },
                        { errorName: 'min', errorDescription: 'Gía trị ưu tiên tối thiểu nhỏ nhất là 0'},
                        { errorName: 'onlyNumber', errorDescription: 'Giá trị ưu tiên chỉ được nhập số nguyên không âm' }
                        ]" mbPlaceholderText="Nhập thông tin tại đây"
                mbLabelText="Thứ tự ưu tiên <span class='label__required'>*</span>">
            </mb-input-text>
        </div>
    </div>
</form>
